%bcond_without embedded_ffmpeg
%define ffmpeg_date 20061215

Name:           motion
Version:        3.2.12
Release:        8%{?dist}
Summary:        A video-surveilance-system
Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.lavrsen.dk/twiki/bin/view/Motion/WebHome
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        http://downloads.videolan.org/pub/videolan/vlc/%{version}/contrib/ffmpeg-%{ffmpeg_date}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%{!?with_embedded_ffmpeg:BuildRequires: ffmpeg-devel}
BuildRequires:  libjpeg-devel 
BuildRequires:  mysql-devel
BuildRequires:  postgresql-devel 
Requires:       libv4l
Requires(post): chkconfig
Requires(preun): chkconfig /sbin/service
Requires(postun): /sbin/service

%description
Motion is a software motion detector. It grabs images from video4linux
devices and/or from webcams (such as the axis network cameras). Motion
is the perfect tool for keeping an eye on your property keeping only
those images that are interesting. Motion is strictly command line
driven and can run as a daemon with a rather small footprint. It is
built with MySQL and PostgreSQL support and mpegs generated by ffmpeg
and http remote control.

%prep

%if %{with embedded_ffmpeg}
%setup -q -a1
%else
%setup -q
%endif

for i in ./CREDITS ./CHANGELOG; do
        iconv -f iso-8859-1 -t utf-8 < "$i" > "${i}_"
        mv "${i}_" "$i"
done

%build
%if %{with embedded_ffmpeg}
pushd ffmpeg-%{ffmpeg_date}
    ./configure
    %{__make} %{?_smp_mflags}
    %{__make} install DESTDIR=`pwd` 
    %{__cp} `pwd`/usr/local/include/ffmpeg/* `pwd`/usr/local/lib
popd
%endif

%configure --sysconfdir=%{_sysconfdir}/%{name} \
           --with-ffmpeg%{?with_embedded_ffmpeg:=`pwd`/ffmpeg-%{ffmpeg_date}/usr/local/lib} \
           --without-optimizecpu \
           --without-libjpeg-mmx

make %{?_smp_mflags}

%install
rm -rf %{buildroot} motion.init
make install DESTDIR=%{buildroot}

(cd %{buildroot}%{_sysconfdir}/%{name} ; mv motion-dist.conf motion.conf; chmod 644 motion.conf)

install -D -m 0755 motion.init-Fedora %{buildroot}%{_initrddir}/%{name}

sed -i 's|/var/run/motion/motion.pid|/var/run/motion.pid|g' \
       %{buildroot}%{_sysconfdir}/%{name}/motion.conf
sed -i 's|target_dir /usr/local/apache2/htdocs/cam1|target_dir %{_var}/www/html/cam1|g' \
       %{buildroot}%{_sysconfdir}/%{name}/motion.conf
mkdir -p %{buildroot}%{_var}/www/html/cam1

%clean
rm -rf %{buildroot}

%post 
if [ "$1" -eq "1" ]; then
        #register %%{name} service
        /sbin/chkconfig --add %{name}
        /sbin/chkconfig %{name} off
fi

%preun
if [ "$1" -eq "0" ]; then
        /sbin/service %{name} stop > /dev/null 2>&1
        /sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" -eq "1" ]; then
        /sbin/service %{name} condrestart > /dev/null 2>&1
fi

%files
%defattr (-,root,root,-)
%doc CHANGELOG CODE_STANDARD COPYING CREDITS FAQ INSTALL README motion_guide.html
%doc motion-dist.conf thread1.conf thread2.conf thread3.conf thread4.conf
%dir %{_sysconfdir}/%{name}
%dir %attr(-,apache,apache) %{_var}/www/html/cam1
%config(noreplace) %{_sysconfdir}/%{name}/motion.conf
%{_bindir}/%{name}
%attr(0644,root,root) %{_mandir}/man1/%{name}.1*
%{_initrddir}/%{name}
# already in doc
%exclude %{_datadir}/%{name}-%{version}/examples


%changelog
* Sun Jun 11 2010 Paulo Roma <roma@lcg.ufrj.br> - 3.2.12-8
- Fixed building with external ffmpeg.

* Sun Jun 06 2010 Paulo Roma <roma@lcg.ufrj.br> - 3.2.12-7
- Updated to 3.2.12
- Fixed URL.

* Sun Sep 06 2009 Paulo Roma <roma@lcg.ufrj.br> - 3.2.11.1-6
- Updated to 3.2.11.1

* Wed Jan 26 2009 Paulo Roma <roma@lcg.ufrj.br> - 3.2.11-6
- Updated to 3.2.11
- Using external ffmpeg.
- Included examples.

* Fri Feb 01 2008 Paulo Roma <roma@lcg.ufrj.br> - 3.2.9-6
- Updated to 3.2.9

* Thu Oct 31 2007 Paulo Roma <roma@lcg.ufrj.br> - 3.2.8-5
- Updated to 3.2.8
- Using %%config(noreplace) for motion.conf
- Added post, preun and postun sections.

* Tue Nov 07 2006 Paulo Roma <roma@lcg.ufrj.br> - 3.2.7-4
- Updated to 3.2.7

* Tue Jul 11 2006 Paulo Roma <roma@lcg.ufrj.br> - 3.2.6-3
- Rebuilt for Fedora 5.

* Tue May 23 2006 Paulo Roma <roma@lcg.ufrj.br> - 3.2.6-2
- Updated to 3.2.6

* Sun Sep 18 2005 Kenneth Lavrsen <kenneth@lavrsen.dk> - 3.2.4-1
- Generic version of livna spec file replacing the old less optimal specfile.

* Thu Sep 15 2005 Dams <anvil[AT]livna.org> - 3.2.3-0.lvn.1
- Initial release based upon upstream spec file
